org.keycloak.adapters.tomcat

## Class CatalinaSessionTokenStore.SerializableKeycloakAccount

- java.lang.Object
- - org.keycloak.adapters.tomcat.CatalinaSessionTokenStore.SerializableKeycloakAccount

- All Implemented Interfaces:
    Serializable, KeycloakAccount
  Enclosing class:
    CatalinaSessionTokenStore

      public static class CatalinaSessionTokenStore.SerializableKeycloakAccount
      extends Object
      implements KeycloakAccount, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Principal` | `principal`
    `protected Set<String>` | `roles`
    `protected RefreshableKeycloakSecurityContext` | `securityContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalinaSessionTokenStore.SerializableKeycloakAccount(Set<String> roles, Principal principal, RefreshableKeycloakSecurityContext securityContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RefreshableKeycloakSecurityContext` | `getKeycloakSecurityContext()`
    `Principal` | `getPrincipal()`
    `Set<String>` | `getRoles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### roles

          protected Set<String> roles

    - #### principal

          protected Principal principal

    - #### securityContext

          protected RefreshableKeycloakSecurityContext securityContext

  - ### Constructor Detail

    - #### CatalinaSessionTokenStore.SerializableKeycloakAccount

          public CatalinaSessionTokenStore.SerializableKeycloakAccount(Set<String> roles,
                                                               Principal principal,
                                                               RefreshableKeycloakSecurityContext securityContext)

  - ### Method Detail

    - #### getPrincipal

          public Principal getPrincipal()

      Specified by:
        `getPrincipal` in interface `KeycloakAccount`

    - #### getRoles

          public Set<String> getRoles()

      Specified by:
        `getRoles` in interface `KeycloakAccount`

    - #### getKeycloakSecurityContext

          public RefreshableKeycloakSecurityContext getKeycloakSecurityContext()

      Specified by:
        `getKeycloakSecurityContext` in interface `KeycloakAccount`

Copyright © 2015. All rights reserved.